Method: projects.locations.instances.keyRings.get

Gets details of a single KeyRing.

HTTP request

GET https://mpc.googleapis.com/v1beta/{name=projects/*/locations/*/instances/*/keyRings/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The name of the KeyRing to retrieve. Format: projects/{project}/locations/{location}/instances/{instance}/keyRings/{keyRing} It takes the form projects/{project}/locations/{location}/instances/{instance}/keyRings/{keyring}.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of KeyRing.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.